List groups
curl --request GET \
--url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "a142f641-7fd6-4ab9-a875-344c7ebadc53",
"name": "a-team",
"organizationId": "d4600d6e-e965-4b44-a808-84fb2fa36702",
"creationTime": "2024-05-31T14:11:00Z",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"userIDs": [
"d4600d6e-e965-4b44-a808-84fb2fa36702"
],
"serviceAccountIDs": [
"a0e9c93a-3a47-4ea1-9caf-22757428a810"
],
"roleIDs": [
"d4600d6e-e965-4b44-a808-84fb2fa36702"
]
}
}
]{
"error": "access_denied",
"error_description": "authentication failed"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges"
}{
"error": "server_error",
"error_description": "failed to token claim"
}Groups
List groups
Returns a list of groups that are defined for the organization.
GET
/
api
/
v1
/
organizations
/
{organizationID}
/
groups
List groups
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
An organization ID.
Was this page helpful?
⌘I